post
https://cloud.socino.com/achievements-staging/player/action/pubsub
This endpoint should never be called directly, but rather through the configured Pub/sub topics
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
This endpoint accepts "actions" sent from the "Insights" service.
Once it receives an "action" it'll look through all the achievements that uses it, and will adjust the progress.
If an achievement is completed, it will notify the client through the "Messages" service:
OnAchievementCompleted:
{
"achievementId": "64085a5a232f5ac280770f79"
}
If the achievement is not completed, but has made progress, it will notify the client through the "Messages" service:
OnAchievementProgress:
{
"achievementId": "64085a5a232f5ac280770f79"
}
This endpoint should never be called directly, but rather through the configured Pub/sub-topics:
- projects/socino-298212/topics/insight-staging
- projects/socino-298212/topics/insight-production
The model sent to the pub/sub should look like this:
{
"key": "letter",
"gameId": null,
"playerId": "63d8f5f02849400b10ae0024",
"value": 1,
"occurredAt": "2023-03-08T09:50:18.5239534Z",
"messageId": "uniqueId for this player and action"
}